using PkmnLib.Dynamic.Models;
using PkmnLib.Static.Species;

namespace PkmnLib.Dynamic.Events;

public class FormChangeEvent : IEventData
{
    public IPokemon Pokemon { get; }
    public IForm Form { get; }

    public FormChangeEvent(IPokemon pokemon, IForm form)
    {
        Pokemon = pokemon;
        Form = form;
    }
    
    /// <inheritdoc />
    public EventBatchId BatchId { get; init; }
}