using PkmnLib.Dynamic.Models;
using PkmnLib.Static.Moves;

namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

public class BanefulBunkerEffect : ProtectionEffectScript
{
    /// <inheritdoc />
    public override void BlockIncomingHit(IExecutingMove executingMove, IPokemon target, byte hitIndex, ref bool block)
    {
        base.BlockIncomingHit(executingMove, target, hitIndex, ref block);
        if (executingMove.UseMove.Category != MoveCategory.Status && executingMove.UseMove.HasFlag("contact"))
        {
            executingMove.User.SetStatus("poisoned");
        }
    }
}