using PkmnLib.Dynamic.Models;
using PkmnLib.Dynamic.ScriptHandling;
using PkmnLib.Dynamic.ScriptHandling.Registry;

namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "beak_blast_effect")]
public class BeakBlastEffect : Script
{
    /// <inheritdoc />
    public override void OnIncomingHit(IExecutingMove move, IPokemon target, byte hit)
    {
        if (move.UseMove.HasFlag("contact"))
        {
            move.User.SetStatus("burned");
        }
    }
}