using PkmnLib.Dynamic.Libraries;
using PkmnLib.Dynamic.Models;

namespace PkmnLib.Dynamic.Events;

public class CaptureAttemptEvent : IEventData
{
    public CaptureAttemptEvent(IPokemon target, CaptureResult result)
    {
        Target = target;
        Result = result;
    }

    public IPokemon Target { get; init; }
    public CaptureResult Result { get; init; }
    
    /// <inheritdoc />
    public EventBatchId BatchId { get; init; }
}