using PkmnLib.Dynamic.Models;
using PkmnLib.Dynamic.ScriptHandling;
using PkmnLib.Static.Moves;

namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

public abstract class ProtectionEffectScript : Script
{
    /// <inheritdoc />
    public override void BlockIncomingHit(IExecutingMove executingMove, IPokemon target, byte hitIndex, ref bool block)
    {
        if (target.BattleData == null)
            return;

        if (!executingMove.UseMove.HasFlag("protect"))
            return;

        block = true;
    }
}